import { defineConfig } from 'vitepress'

export default defineConfig({
	title: "Funkwhale Vue Components",
	outDir: "../public",
  cleanUrls: 'with-subfolders',
	themeConfig: {
		nav: [
			{ text: "Home", link: "https://funkwhale.audio" },
			{ text: "Gitlab", link: "https://dev.funkwhale.audio/funkwhale/vui" }
		],
		sidebar: [
			{
        text: "Components",
        items: [
			    { text: "Pill", link: "/components/pill/" },
			    { text: "Loader", link: "/components/loader/" },
			    { text: "Activity", link: "/components/activity/" },
			    { text: "Card", items: [
            { text: "Basic Card", link: "/components/card/basic" },
            { text: "Radio Card", link: "/components/card/radio" },
            { text: "Artist Card", link: "/components/card/artist" },
            { text: "Album Card", link: "/components/card/album" },
            { text: "Playlist Card", link: "/components/card/playlist" },
            { text: "Podcast Card", link: "/components/card/podcast" },
          ] },
			    { text: "Form", items: [
            { text: "Input", link: "/components/input/" },
            { text: "Textarea", link: "/components/textarea/" },
            { text: "Toggle", link: "/components/toggle/" },
            { text: "Popover", link: "/components/popover/" },
            { text: "Button", items: [
              { text: "Basic Button", link: "/components/button/basic" },
              { text: "Play Button", link: "/components/button/play" },
            ] },
          ] },
			    { text: "Content Navigation", items: [
            { text: "Table of Contents", link: "/components/toc/" },
            { text: "Pagination", link: "/components/pagination/" },
            { text: "Tabs", link: "/components/tabs/" },
          ] },
        ]
      }
		]
	}
})
