<script setup>
const click = () => new Promise(resolve => setTimeout(resolve, 1000))
</script>

# Button
## Button colors
### Primary button
```html
<fw-button>
  Primary button
</fw-button>
```
<fw-button>
  Primary button
</fw-button>

### Secondary button
```html
<fw-button secondary>
  Secondary button
</fw-button>
```
<fw-button secondary>
  Secondary button
</fw-button>

### Destructive button
```html
<fw-button destructive>
  Destructive button
</fw-button>
```
<fw-button destructive>
  Destructive button
</fw-button>

## Button types
### Filled
```html
<fw-button>
  Filled button
</fw-button>
```
<fw-button>
  Filled button
</fw-button>

### Outline
```html
<fw-button outline>
  Outline button
</fw-button>
```
<fw-button outline>
  Outline button
</fw-button>

## Button shapes
### Normal
```html
<fw-button>
  Normal button
</fw-button>
```
<fw-button>
  Normal button
</fw-button>

### Round
```html
<fw-button round>
  Round button
</fw-button>
```
<fw-button round>
  Round button
</fw-button>

## Button states
### Disabled
```html
<fw-button disabled>
  Disabled button
</fw-button>
```
<fw-button disabled>
  Disabled button
</fw-button>

### Active
```html
<fw-button is-active>
  Active button
</fw-button>
```
<fw-button is-active>
  Active button
</fw-button>

### Loading
```html
<fw-button is-loading>
  Loading button
</fw-button>
```
<fw-button is-loading>
  Loading button
</fw-button>

&nbsp;

#### Promise handling in @click
When a function passed to `@click` returns a promise, the button will automatically toggle it's loading state on click, and when promise resolves/rejects, it will toggle it off.

::: danger
The `<fw-button>` component does not have any promise rejection mechanism implemented. Make sure, that the `@click` handler never rejects.
:::

```vue
<script setup lang="ts">
const click = () => new Promise(resolve => setTimeout(resolve, 1000))
</script>

<template>
  <fw-button @click="click">
    Click me
  </fw-button>
</template>
```
<fw-button @click="click">
  Click me
</fw-button>

## Icons
You can use [Bootstrap Icons](https://icons.getbootstrap.com/) in your button component

::: info
When the button doesn't have any contents or it's contents are empty, it will shrink down to the icon size.
To avoid this, you can add `&nbsp;`.
:::
```html
<fw-button secondary icon="bi-three-dots-vertical" />

<fw-button secondary is-round icon="bi-x" />

<fw-button icon="bi-save">&nbsp;</fw-button>

<fw-button destructive icon="bi-trash">
  Delete
</fw-button>
```
<fw-button secondary icon="bi-three-dots-vertical" />
<fw-button secondary round icon="bi-x" />
<fw-button icon="bi-save">&nbsp;</fw-button>
<fw-button destructive icon="bi-trash">
  Delete
</fw-button>
