<script setup lang="ts">
const alert = (message: string) => window.alert(message)
</script>

# Card
## Basic card
```html
<fw-card title="For music lovers">
  Access your personnal music collection from anywhere. Beeing focused on the promotion of Free licensed content, Funkwhale sports advanced sharing features.
</fw-card>
```
<fw-card title="For music lovers">
  Access your personnal music collection from anywhere. Beeing focused on the promotion of Free licensed content, Funkwhale sports advanced sharing features.
</fw-card>

## Interactive card
```html
<fw-card 
  title="Frequently Asked Questions" 
  @click="alert('hello')"
>
  You have a question about Funkwhale? Get a quick answer!
</fw-card>
```
<fw-card 
  title="Frequently Asked Questions" 
  @click="alert('hello')"
>
  You have a question about Funkwhale? Get a quick answer!
</fw-card>

## Category card
```html
<fw-card 
  category 
  title="Example Translations" 
  @click="alert('hello')"
/>
```
<fw-card 
  category 
  title="Example Translations" 
  @click="alert('hello')"
/>

## Card with an image
```html
<fw-card 
  title="For music lovers"
  image="https://images.unsplash.com/photo-1524650359799-842906ca1c06?ixlib=rb-1.2.1&dl=te-nguyen-Wt7XT1R6sjU-unsplash.jpg&w=640&q=80&fm=jpg&crop=entropy&cs=tinysrgb"
>
  Access your personnal music collection from anywhere. Beeing focused on the promotion of Free licensed content, Funkwhale sports advanced sharing features.
</fw-card>
```
<fw-card 
  title="For music lovers"
  image="https://images.unsplash.com/photo-1524650359799-842906ca1c06?ixlib=rb-1.2.1&dl=te-nguyen-Wt7XT1R6sjU-unsplash.jpg&w=640&q=80&fm=jpg&crop=entropy&cs=tinysrgb"
>
  Access your personnal music collection from anywhere. Beeing focused on the promotion of Free licensed content, Funkwhale sports advanced sharing features.
</fw-card>


## Card with a button
```html
<fw-card 
  title="Join an existing pod"
  button-title="Find a pod"
  @click="alert('hello')"
>
  The easiest way to start using Funkwhale is to register an account on one of the many available pods.
</fw-card>

```
<fw-card 
  title="Join an existing pod"
  button-title="Find a pod"
  @click="alert('hello')"
>
  The easiest way to start using Funkwhale is to register an account on one of the many available pods.
</fw-card>
