<script setup lang="ts">
import { ref } from 'vue'

const bandcampPrivacy = ref('pod')
const ccPrivacy = ref('public')

const bandcamp = ref(false)
const cc = ref(false)
const share = ref(false)

const items = [
  {
    type: 'button',
    text: 'Play next',
    icon: 'bi-arrow-up-right',
    click: () => {}
  },
  {
    type: 'button',
    text: 'Append to queue',
    icon: 'bi-arrow-down-right',
    click: () => {}
  },
  {
    type: 'button',
    text: 'Add to playlist',
    icon: 'bi-music-note-list',
    click: () => {},
    items: [
      {
        type: 'button',
        text: 'Sample playlist',
        icon: 'bi-music-note-list',
        click: () => {}
      },
      { type: 'separator', },
      {
        type: 'button',
        text: 'New playlist',
        icon: 'bi-plus-lg',
        click: () => {}
      },
    ]
  },
  { type: 'separator', },
  {
    type: 'button',
    text: 'Add to favorites',
    icon: 'bi-heart',
    click: () => {}
  },
  {
    type: 'button',
    text: 'Organize and share',
    icon: 'bi-collection',
    click: () => {},
    items: [
      {
        type: 'select',
        text: 'Bandcamp',
        model: bandcamp,
        extraItems: [
          { 
            type: 'library-privacy-level', 
            model: bandcampPrivacy
          }
        ]
      },
      {
        type: 'select',
        text: 'Creative Commons',
        model: cc,
        extraItems: [
          { 
            type: 'library-privacy-level', 
            model: ccPrivacy
          }
        ]
      },
      { type: 'separator', },
      {
        type: 'button',
        text: 'New library',
        icon: 'bi-plus-lg',
        click: () => {}
      },
      { type: 'separator', },
      {
        type: 'select',
        text: 'Share by link',
        model: share,
        extraItems: [
          { 
            type: 'circle-button', 
            icon: 'bi-link', 
            click: () => {} 
          },
          { 
            type: 'circle-button', 
            icon: 'bi-code', 
            click: () => {} 
          },
        ]
      },
    ]
  },
  {
    type: 'button',
    text: 'Download',
    icon: 'bi-cloud-download',
    click: () => {}
  },
  { type: 'separator', },
  {
    type: 'button',
    text: 'Report',
    icon: 'bi-exclamation',
    click: () => {}
  },
]

const open = ref(false)
</script>

# Popover
```html
<fw-popover :items="items" />
```

<fw-options-button @click="open = !open" />
<fw-popover :items="items" v-model:open="open" />
