import { computed } from "vue"

export interface ColorProps {
  primary?: boolean
  secondary?: boolean
  destructive?: boolean
}

type Color = 'is-primary' | 'is-secondary' | 'is-destructive'
export const useColor = (props: ColorProps, defaultColor: Color = 'is-primary') => computed<Color>(() => props.primary
  ? 'is-primary'
  : props.secondary
    ? 'is-secondary'
    : props.destructive
      ? 'is-destructive'
      : defaultColor
)
