import { computed } from "vue"

export interface PastelProps {
  red?: boolean
  blue?: boolean
  purple?: boolean
  green?: boolean
  yellow?: boolean
}

type Color = 'is-red' | 'is-blue' | 'is-purple' | 'is-green' | 'is-yellow'
export const usePastel = (props: PastelProps, defaultColor: Color | '' = 'is-blue') => computed<Color | ''>(() => props.blue
  ? 'is-blue'
  : props.red
    ? 'is-red'
    : props.purple
      ? 'is-purple'
      : props.green
        ? 'is-green'
        : props.yellow
          ? 'is-yellow'
          : defaultColor
)
